Subject: bug#32064: 26; doc string of `eval-last-sexp'

From: Noam Postavsky <[email-masked]>
Date: Thu, 05 Jul 2018 20:23:08 -0400

Drew Adams <[email-masked]> writes:

> This is all a confusing mess, I'm afraid.  And the code (e.g. of
> `eval-last-sexp' and its helper `elisp--eval-last-sexp') is not very
> clear either.

I agree.  I think the solution is to simplify the interface somewhat.
As it stands, we're trying to cram a lot of functionality into the
prefix argument, and the encoding is too difficult to remember (both in
terms of implementing & documenting, as well as for using).

Instead, we should have something like this:

No prefix: echo with default formatting (like now)
C-u: insert result into buffer, no alternate integer formatting (like now)
C-u C-u: query user for detailed formatting options individually

And that's it, no clever handling of 0 vs negative number vs `-', etc